fields

## Class DataRecord.DIF

- java.lang.Object
- - fields.DataRecord.DataRecordHeaderBase
  - - fields.DataRecord.DIF

- Enclosing class:
    DataRecord

      public class DataRecord.DIF
      extends DataRecord.DataRecordHeaderBase

  Model for the WM-Bus DIF.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private DataFieldCode` | `dataFieldCode`
    `private FunctionCode` | `functionCode`
    `private boolean` | `storageNumberBit`

    - ### Fields inherited from class fields.DataRecord.DataRecordHeaderBase

      `extensionBit`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DIF()`
    `DIF(boolean extensionBit, boolean storageNumberBit, java.lang.String functionFieldBits, java.lang.String dataFieldBits)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getBits()`
    `DataFieldCode` | `getDataFieldCode()`
    `FunctionCode` | `getFunctionCode()`
    `boolean` | `isStorageNumberBit()`
    `void` | `setDataFieldCode(DataFieldCode dataFieldCode)`
    `void` | `setDataFieldCode(java.lang.String dataFieldBits)`
    `void` | `setFunctionCode(FunctionCode functionCode)`
    `void` | `setFunctionCode(java.lang.String functionFieldBits)`
    `void` | `setStorageNumberBit(boolean storageNumberBit)`

    - ### Methods inherited from class fields.DataRecord.DataRecordHeaderBase

      `getByte, isExtensionBit, setExtensionBit, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### dataFieldCode

          private DataFieldCode dataFieldCode

    - #### functionCode

          private FunctionCode functionCode

    - #### storageNumberBit

          private boolean storageNumberBit

  - ### Constructor Detail

    - #### DIF

          public DIF()

    - #### DIF

          public DIF(boolean extensionBit,
                     boolean storageNumberBit,
                     java.lang.String functionFieldBits,
                     java.lang.String dataFieldBits)

  - ### Method Detail

    - #### getBits

          public java.lang.String getBits()

      Specified by:
        `getBits` in class `DataRecord.DataRecordHeaderBase`

    - #### getDataFieldCode

          public DataFieldCode getDataFieldCode()

    - #### getFunctionCode

          public FunctionCode getFunctionCode()

    - #### isStorageNumberBit

          public boolean isStorageNumberBit()

    - #### setDataFieldCode

          public void setDataFieldCode(DataFieldCode dataFieldCode)

    - #### setDataFieldCode

          public void setDataFieldCode(java.lang.String dataFieldBits)

    - #### setFunctionCode

          public void setFunctionCode(FunctionCode functionCode)

    - #### setFunctionCode

          public void setFunctionCode(java.lang.String functionFieldBits)

    - #### setStorageNumberBit

          public void setStorageNumberBit(boolean storageNumberBit)